summaryrefslogtreecommitdiffstats
path: root/source/x
diff options
context:
space:
mode:
Diffstat (limited to 'source/x')
-rw-r--r--source/x/FTBFSlog4
-rw-r--r--source/x/vulkan-sdk/VulkanTools-sdk.gcc12.diff38
-rwxr-xr-xsource/x/vulkan-sdk/vulkan-sdk.SlackBuild5
3 files changed, 46 insertions, 1 deletions
diff --git a/source/x/FTBFSlog b/source/x/FTBFSlog
index 2ec46b74e..fef9f0bd9 100644
--- a/source/x/FTBFSlog
+++ b/source/x/FTBFSlog
@@ -1,3 +1,7 @@
+Tue Feb 14 20:48:58 UTC 2023
+vulkan-sdk: Patched VulkanTools to fix warning/error about uninitialized
+variables. Thanks to lucabon.
++--------------------------+
Sat Oct 15 19:21:06 UTC 2022
x11/xdm: Fixed the arc4random patch. Thanks to nobodino.
+--------------------------+
diff --git a/source/x/vulkan-sdk/VulkanTools-sdk.gcc12.diff b/source/x/vulkan-sdk/VulkanTools-sdk.gcc12.diff
new file mode 100644
index 000000000..d28785737
--- /dev/null
+++ b/source/x/vulkan-sdk/VulkanTools-sdk.gcc12.diff
@@ -0,0 +1,38 @@
+--- ./submodules/jsoncpp/src/lib_json/json_reader.cpp.orig 2022-03-06 13:14:43.000000000 -0600
++++ ./submodules/jsoncpp/src/lib_json/json_reader.cpp 2023-02-14 14:46:31.107270967 -0600
+@@ -212,7 +212,7 @@
+ break;
+ case tokenNull:
+ {
+- Value v;
++ Value v(0);
+ currentValue().swapPayload(v);
+ currentValue().setOffsetStart(token.start_ - begin_);
+ currentValue().setOffsetLimit(token.end_ - begin_);
+@@ -225,7 +225,7 @@
+ // "Un-read" the current token and mark the current value as a null
+ // token.
+ current_--;
+- Value v;
++ Value v(0);
+ currentValue().swapPayload(v);
+ currentValue().setOffsetStart(current_ - begin_ - 1);
+ currentValue().setOffsetLimit(current_ - begin_);
+@@ -1134,7 +1134,7 @@
+ break;
+ case tokenNull:
+ {
+- Value v;
++ Value v(0);
+ currentValue().swapPayload(v);
+ currentValue().setOffsetStart(token.start_ - begin_);
+ currentValue().setOffsetLimit(token.end_ - begin_);
+@@ -1171,7 +1171,7 @@
+ // "Un-read" the current token and mark the current value as a null
+ // token.
+ current_--;
+- Value v;
++ Value v(0);
+ currentValue().swapPayload(v);
+ currentValue().setOffsetStart(current_ - begin_ - 1);
+ currentValue().setOffsetLimit(current_ - begin_);
diff --git a/source/x/vulkan-sdk/vulkan-sdk.SlackBuild b/source/x/vulkan-sdk/vulkan-sdk.SlackBuild
index bf88a291e..9e027cd67 100755
--- a/source/x/vulkan-sdk/vulkan-sdk.SlackBuild
+++ b/source/x/vulkan-sdk/vulkan-sdk.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for vulkan-sdk
-# Copyright 2016, 2017, 2018, 2020, 2021, 2022 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2016, 2017, 2018, 2020, 2021, 2022, 2023 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -355,6 +355,9 @@ cd $TMP
tar xvf $CWD/VulkanTools-sdk-$VULKANTOOLS_VERSION.tar.?z || exit 1
cd $TMP/VulkanTools-sdk-$VULKANTOOLS_VERSION
+# Fix warning/error on gcc12 about uninitialized variables:
+zcat $CWD/VulkanTools-sdk.gcc12.diff.gz | patch -p1 --verbose || exit 1
+
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \